Bug 796953 - Review Request: trac-vatar-plugin - Add gravatar icons to various points around trac
Summary: Review Request: trac-vatar-plugin - Add gravatar icons to various points arou...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-23 22:25 UTC by Andrea Veri
Modified: 2012-07-25 20:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-25 20:04:33 UTC
Type: ---
kevin: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Andrea Veri 2012-02-23 22:25:28 UTC
Spec URL: http://averi.fedorapeople.org/RPMs/trac-vatar-plugin/trac-vatar-plugin.spec
SRPM URL: http://averi.fedorapeople.org/RPMs/trac-vatar-plugin/trac-vatar-plugin-1.4-1.fc16.src.rpm
Description: Add gravatar icons to various points around trac

Comment 1 Kevin Fenzi 2012-02-24 16:23:35 UTC
I'll review this. Look for a full review later today hopefully.

Comment 2 Kevin Fenzi 2012-02-24 17:14:19 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (BSD)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. Please include the LICENSE and README.rst as doc files. :) 

2. Please use the full url in source0:
Source0:        http://pypi.python.org/packages/source/t/tracvatar/tracvatar-1.4.tar.gz

3. rpmlint says: 
trac-vatar-plugin.noarch: W: spelling-error Summary(en_US) gravatar -> gr avatar, gr-avatar, avatar
trac-vatar-plugin.noarch: W: no-documentation
trac-vatar-plugin.src: W: spelling-error Summary(en_US) gravatar -> gr avatar, gr-avatar, avatar
trac-vatar-plugin.src: W: invalid-url Source0: trac-vatar-plugin-1.4.tar.gz
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Please fix the doc files and source url before importing. 

Otherwise this package is APPROVED.

Comment 3 Andrea Veri 2012-02-24 18:17:52 UTC
Both done and uploaded new files at the same location, requesting branches now.

Comment 4 Andrea Veri 2012-02-24 18:20:05 UTC
New Package SCM Request
=======================
Package Name: trac-vatar-plugin
Short Description: Add gravatar icons to various points around trac
Owners: averi nirik
Branches: f15 f16 el5 el6
InitialCC: averi nirik

Comment 5 Gwyn Ciesla 2012-02-24 18:34:39 UTC
Git done (by process-git-requests).

Corrected nirik's FAS account name.

Comment 6 Fedora Update System 2012-02-24 19:56:57 UTC
trac-vatar-plugin-1.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/trac-vatar-plugin-1.4-1.el6

Comment 7 Fedora Update System 2012-02-24 23:39:10 UTC
trac-vatar-plugin-1.4-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Kevin Fenzi 2012-07-08 18:20:41 UTC
Seems we are missing a f17 branch (and all the Fedora builds here): 

Package Change Request
======================
Package Name: trac-vatar-plugin
New Branches: f17
Owners: averi kevin
InitialCC:

Comment 9 Kevin Fenzi 2012-07-10 22:24:43 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2012-07-10 23:16:21 UTC
trac-vatar-plugin-1.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/trac-vatar-plugin-1.6-1.el6

Comment 11 Fedora Update System 2012-07-25 20:04:33 UTC
trac-vatar-plugin-1.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.